# LDOMParser Class Reference

`#include <LDOMParser.hxx>`

Inheritance diagram for LDOMParser:

[legend]

## Public Member Functions

| LDOMParser ()
virtual Standard_EXPORT | ~LDOMParser ()
Standard_EXPORT LDOM_Document | getDocument ()
Standard_EXPORT Standard_Boolean | parse (const char *const aFileName)
Standard_EXPORT Standard_Boolean | parse (istream &anInput)
Standard_EXPORT const TCollection_AsciiString & | GetError (TCollection_AsciiString &aData) const

## Protected Member Functions

virtual Standard_EXPORT Standard_Boolean | startElement ()
virtual Standard_EXPORT Standard_Boolean | endElement ()
Standard_EXPORT LDOM_Element | getCurrentElement () const

## Private Member Functions

Standard_Boolean | ParseDocument ()
Standard_Boolean | ParseElement ()
| LDOMParser (const LDOMParser &theOther)
LDOMParser & | operator= (const LDOMParser &theOther)
| Handle (LDOM_MemManager) myDocument

## Private Attributes

LDOM_XmlReader * | myReader
LDOM_OSStream | myCurrentData
TCollection_AsciiString | myError

## Constructor & Destructor Documentation

LDOMParser::LDOMParser | ( |  | ) | `[inline]`

virtual Standard_EXPORT LDOMParser::~LDOMParser | ( |  | ) | `[virtual]`

LDOMParser::LDOMParser | ( | const LDOMParser & | theOther | ) | `[private]`

## Member Function Documentation

virtual Standard_EXPORT Standard_Boolean LDOMParser::endElement | ( |  | ) | `[protected, virtual]`

| Reimplemented in PCDM_DOMHeaderParser.

Standard_EXPORT LDOM_Element LDOMParser::getCurrentElement | ( |  | ) | const`[protected]`

Standard_EXPORT LDOM_Document LDOMParser::getDocument | ( |  | ) |

Standard_EXPORT const TCollection_AsciiString& LDOMParser::GetError | ( | TCollection_AsciiString & | aData | ) | const

LDOMParser::Handle | ( | LDOM_MemManager |  | ) | `[private]`

LDOMParser& LDOMParser::operator= | ( | const LDOMParser & | theOther | ) | `[private]`

Standard_EXPORT Standard_Boolean LDOMParser::parse | ( | istream & | anInput | ) |

Standard_EXPORT Standard_Boolean LDOMParser::parse | ( | const char *const | aFileName | ) |

Standard_Boolean LDOMParser::ParseDocument | ( |  | ) | `[private]`

Standard_Boolean LDOMParser::ParseElement | ( |  | ) | `[private]`

virtual Standard_EXPORT Standard_Boolean LDOMParser::startElement | ( |  | ) | `[protected, virtual]`

| Reimplemented in PCDM_DOMHeaderParser.

## Field Documentation

LDOM_OSStream LDOMParser::myCurrentData `[private]`

TCollection_AsciiString LDOMParser::myError `[private]`

LDOM_XmlReader* LDOMParser::myReader `[private]`

The documentation for this class was generated from the following file:

- LDOMParser.hxx